Jump to content
kymation

[Addon] Categories Accordion Box for 2.3.1

Recommended Posts

Now the whole shop is down - shit

I really do not know wich files i have to upload from the download from jQuery.

There are lots of files in the download from jQuery, where can i inform myself about that mystery.

 

greets

stefan

Share this post


Link to post
Share on other sites

I changed the jQurey from a fresh installed osc and got the same result.

On the jQuery site its only 1.9.2 or 1.10.1 available for download but osc has 1.8.6 !!

Where can i modify the 1.8.6 and download so that it will fit for osc?? - because rename the newer once won't work with this addon.

 

greets

stefan

Share this post


Link to post
Share on other sites

Stock osCommerce uses jQuery version 1.8.0 and jQuery UI version 1.8.22. The theme needs to be the same version as the jQuery UI file, or at least close. The jQuery UI web page tells you which version of jQuery it needs to be compatible. Check that your includes/template_top.php is calling for the files that you have installed.

 

I currently have a test site with the Accordion menu that is using jQuery version 1.8.3 and jQuery UI version 1.9.2. These versions work together correctly and the Accordion displays correctly. You can get this package from the jQuery downloads page by choosing the Legacy version.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Here is my templete_top.php from a fresh installed 2.3.1 and it says 1.8.6 same as my files so can it be that it will not work with the newer versions?

 

/*
 $Id$
 osCommerce, Open Source E-Commerce Solutions
 http://www.oscommerce.com
 Copyright (c) 2010 osCommerce
 Released under the GNU General Public License
*/
 $oscTemplate->buildBlocks();
 if (!$oscTemplate->hasBlocks('boxes_column_left')) {
   $oscTemplate->setGridContentWidth($oscTemplate->getGridContentWidth() + $oscTemplate->getGridColumnWidth());
 }
 if (!$oscTemplate->hasBlocks('boxes_column_right')) {
   $oscTemplate->setGridContentWidth($oscTemplate->getGridContentWidth() + $oscTemplate->getGridColumnWidth());
 }
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>" />
<title><?php echo tep_output_string_protected($oscTemplate->getTitle()); ?></title>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>" />
<link rel="stylesheet" type="text/css" href="ext/jquery/ui/redmond/jquery-ui-1.8.6.css" />
<script type="text/javascript" src="ext/jquery/jquery-1.4.2.min.js"></script>
<script type="text/javascript" src="ext/jquery/ui/jquery-ui-1.8.6.min.js"></script>
<?php
 if (tep_not_null(JQUERY_DATEPICKER_I18N_CODE)) {
?>
<script type="text/javascript" src="ext/jquery/ui/i18n/jquery.ui.datepicker-<?php echo JQUERY_DATEPICKER_I18N_CODE; ?>.js"></script>
<script type="text/javascript">
$.datepicker.setDefaults($.datepicker.regional['<?php echo JQUERY_DATEPICKER_I18N_CODE; ?>']);
</script>
<?php
 }
?>
<script type="text/javascript" src="ext/jquery/bxGallery/jquery.bxGallery.1.1.min.js"></script>
<link rel="stylesheet" type="text/css" href="ext/jquery/fancybox/jquery.fancybox-1.3.4.css" />
<script type="text/javascript" src="ext/jquery/fancybox/jquery.fancybox-1.3.4.pack.js"></script>
<link rel="stylesheet" type="text/css" href="ext/960gs/<?php echo ((stripos(HTML_PARAMS, 'dir="rtl"') !== false) ? 'rtl_' : ''); ?>960_24_col.css" />
<link rel="stylesheet" type="text/css" href="stylesheet.css" />
<?php echo $oscTemplate->getBlocks('header_tags'); ?>
</head>
<body>
<div id="bodyWrapper" class="container_<?php echo $oscTemplate->getGridContainerWidth(); ?>">
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<div id="bodyContent" class="grid_<?php echo $oscTemplate->getGridContentWidth(); ?> <?php echo ($oscTemplate->hasBlocks('boxes_column_left') ? 'push_' . $oscTemplate->getGridColumnWidth() : ''); ?>">

Share this post


Link to post
Share on other sites

That's from an older version of osCommerce (2.3.1?) It should still work if you actually have the files those lines are pointing to. This addon was originally coded for osC 2.3.1 and has worked with every version since.

 

You also might want to check this with other browsers.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Older Version? It is a download from last week from osc hompage. Where can i get a newer version of 2.3.1 if not from there?

I checket with chrome, firefox, opera, ie >>> all the same result

Share this post


Link to post
Share on other sites

osCommerce is currently at version 2.3.3. The files from 2.3.1 should still work though.

 

From looking at your site, that's not the stock Redmond theme. It's been altered or replaced with something. Try replacing it with the code that came with the osC distribution and see if that helps.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Have a look now how it looks like with the stock jquery-ui-1.8.6.css everthing seems to be alright but soon as i make changes on this file by using themeRoller at jQuery site it will mixed up.

Something is different in 1.9.2 and 1.10.1 from there wich make this failure but i can't locate it in the file.

I work since 2004 with osc but this jQuery is new for me so sorry for my stupidity and thx for your patience so far.

Share this post


Link to post
Share on other sites

You can't use a 1.9x or 1.10x theme with the older versions of jQuery and jQuery UI. You have to replace those files as well with the new versions. The files you need are in the download package: jquery-1.9.1.js and jquery-ui-1.10.1.custom.min.js are in the js folder. Upload those to the proper locations and change your includes/template_top.php to point to the new files. Don't delete the old files unless you update the Admin side as well.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

ok i have on server:

 

../ext/jquery/jquery-1.4.2.min.js

../ext/jquery/ui/jquery-ui-1.8.6.min.js

../ext/jquery/ui/redmond/jquery-ui-1.8.6.css

 

and in download from jQuery:

 

js/jquery-1.9.1.js

js/jquery-ui-1.10.1.custom.js

js/jquery-ui-1.10.1.custom.min.js

css/custom-theme/jquery-ui-1.10.1.custom.css

css/custom-theme/jquery-ui-1.10.1.custom.min.css

 

Wich one do i have to replace with wich one?

Share this post


Link to post
Share on other sites

js/jquery-1.9.1.js -> /ext/jquery/jquery-1.4.2.min.js

js/jquery-ui-1.10.1.custom.min.js -> /ext/jquery/ui/jquery-ui-1.8.6.min.js

css/custom-theme/jquery-ui-1.10.1.custom.css -> /ext/jquery/ui/redmond/jquery-ui-1.8.6.css

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Is there anyone out there with a screenshot of this addon? I really want to know what this kinda looks like :/

Share this post


Link to post
Share on other sites

Hi, Jim:

 

Yet ANOTHER great add-on! Love it! I'm having one minor problem, though... the accordion menu box is missing a title! I see in catalog/includes/modules/boxes/bm_categories_accordion.php there's this line:

 

 $this->title = MODULE_BOXES_CATEGORIES_ACCORDION_TITLE;

 

And in catalog/includes/languages/english/modules/boxes/bm_categories_accordion.php that variable is defined thusly:

 

 define('MODULE_BOXES_CATEGORIES_ACCORDION_TITLE', 'Categories Accordion');

 

But that title isn't showing up on the screen (see attached screenshot).

 

I'm probably missing something really obvious and dumb, but your help in fixing it would be greatly appreciated.

 

Thanks!

 

Regards,

 

Chris

post-312002-0-57915700-1362683022_thumb.png

Edited by Chrison

Share this post


Link to post
Share on other sites

The title code that you listed only affects the module install in your Admin. The title doesn't work on the Catalog side because the accordion is not in a box like the original Categories Box. I tried this early on and it interfered with the Accordion action, so I left it out.

 

I personally like the look as it is, but I know that not everyone agrees. Unfortunately there's no easy solution without messing up the Accordion.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Hi, kymation I just PM you since I'm having a problem with your plugin at the homepage.

 

Since there is no categories selected all categories should be closed, but the first has the open look without contents inside.

 

Is normal or a bug?

Can you help me on a solution to work properly?

 

Thanks, this is a great plugin !!!

Edited by Baltasar

Share this post


Link to post
Share on other sites

What version of the Accordion menu are you using? And which version of jQuery UI? This sometimes happens when using an old version of the Accordion with the new jQuery, since jQuery changed the default values. Try updating to the latest version and see if that helps.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

I have bm_categories_accordion_1_2.zip installed on top of the previous base package and jQuery UI 1.9.2.

 

EIDT: Just moved now to test to lasted UI 1.10.2 and got the same problem.

Edited by Baltasar

Share this post


Link to post
Share on other sites

Soveld, just chaged you code on the javascript jQuery accordeon initialization adding a new option like this:

 

collapsible: true

 

So now by defaul at home page all categories are close as should be.

 

Thanks.

Edited by Baltasar

Share this post


Link to post
Share on other sites

Thanks for the information. This is needed because jQuery changed the default values, so this value needs to be explicitly stated. I need to put up a new version with all of these changes.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Soveld, just chaged you code on the javascript jQuery accordeon initialization adding a new option like this:

 

collapsible: true

 

So now by defaul at home page all categories are close as should be.

 

Thanks.

 

 

 

Hi, I have the same issue, can you be more precise what exactly did you modify?

Thank you

Edited by InspektorS

Share this post


Link to post
Share on other sites

I've uploaded a new release that fixes the jQuery UI bug introduced in version 1.9. I've also rolled up all of the previous fixes.

 

If you need to upgrade to fix one of these problems, just replace the /catalog/includes/modules/boxes/bm_categories_accordion.php with the one in this package.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×